Subject: AW: [Geopriv] I-D ACTION:draft-ietf-geopriv-radius-lo-03.txt

From: "Tschofenig, Hannes" <[email-masked]>
Date: Wed, 13 Jul 2005 11:16:44 +0200

hi carl, 

this is an interesting comment. if your concern is correct then there might be the following problem:
a) i have made a mistake when i reused the rfc 3825 text
b) rfc 3825 has a bug

maybe james or marc can help to clarify this issue since they are they authors of rfc 3825. 
looking at rfc 3825 i tend to argue that there is no problem. 
 
ciao
hannes

> -----Ursprüngliche Nachricht-----
> Von: [email-masked] 
> [mailto:[email-masked]] Im Auftrag von Carl Reed OGC
> Gesendet: Donnerstag, 7. Juli 2005 18:19
> An: [email-masked]
> Betreff: Re: [Geopriv] I-D ACTION:draft-ietf-geopriv-radius-lo-03.txt 
> 
> 
> I just finished reading the radius document on carrying 
> location objects in 
> RADIUS. I might suggest a slight modification to how Lat/Long 
> are expressed 
> in the payload (section 10.3). In the current version of the 
> document, there 
> is no indication of the Lat/Lon format nor is there any 
> indication of how 
> one handles north/south of the equator and east/west of the meridian.
> 
> Therefore, perhaps you might consider following the 
> conventions as outlined 
> in ISO 6709 (and probably it predecessors), Clause
> 2.1.1, 2.2.1:
> 
> 2.1 Latitude
> 2.1.1 Latitudes north of the equator shall
> be designated by use of the plus sign (+),
> latitudes south of the equator shall be
> designated by use of the minus sign (-).
> The equator shall be designated by use
> of the plus sign (+).
> ...
> 2.2 Longitude
> 2.2.1 Longitudes east of Greenwich shall be
> designated by use of the plus sign (+),
> longitudes west of Greenwich shall be
> designated by use of the minus sign (-).
> The Prime Meridian shall be designated
> by use of the plus sign (+). The 180th
> meridian shall be designated by use of
> the minus sign (-).
> ...
> 2.4 Format
> 2.4.1 Elements shall be combined in a point location string in the
> sequence :
> a) latitude;
> b) longitude;
> c) altitude, if represented.
> 
> The actual representation of the Lat/Long values are in 
> decimal degrees 
> (which I was assuming based on the resolution field).
> 
> Regards
> 
> Carl Reed
> OGC
> 
> ----- Original Message ----- 
> From: <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Tuesday, July 05, 2005 1:50 PM
> Subject: [Geopriv] I-D ACTION:draft-ietf-geopriv-radius-lo-03.txt
> 
> 
> >A New Internet-Draft is available from the on-line Internet-Drafts 
> >directories.
> > This draft is a work item of the Geographic 
> Location/Privacy Working Group 
> > of the IETF.
> >
> > Title : Carrying Location Objects in RADIUS
> > Author(s) : H. Tschofenig, et al.
> > Filename : draft-ietf-geopriv-radius-lo-03.txt
> > Pages : 56
> > Date : 2005-7-5
> >
> > This document describes RADIUS attributes for conveying access
> >   network ownership and location information based on a civic and
> >   geospatial location format.
> >
> > A URL for this Internet-Draft is:
> > 
> http://www.ietf.org/internet-drafts/draft-ietf-geopriv-radius-
> lo-03.txt
> >
> > To remove yourself from the I-D Announcement list, send a message to
> > [email-masked] with the word unsubscribe in 
> the body of the 
> > message.
> > You can also visit 
> https://www1.ietf.org/mailman/listinfo/I-D-announce
> > to change your subscription settings.
> >
> >
> > Internet-Drafts are also available by anonymous FTP. Login with the 
> > username
> > "anonymous" and a password of your e-mail address. After logging in,
> > type "cd internet-drafts" and then
> > "get draft-ietf-geopriv-radius-lo-03.txt".
> >
> > A list of Internet-Drafts directories can be found in
> > http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> >
> >
> > Internet-Drafts can also be obtained by e-mail.
> >
> > Send a message to:
> > [email-masked].
> > In the body type:
> > "FILE /internet-drafts/draft-ietf-geopriv-radius-lo-03.txt".
> >
> > NOTE: The mail server at ietf.org can return the document in
> > MIME-encoded form by using the "mpack" utility.  To use this
> > feature, insert the command "ENCODING mime" before the "FILE"
> > command.  To decode the response(s), you will need "munpack" or
> > a MIME-compliant mail reader.  Different MIME-compliant mail readers
> > exhibit different behavior, especially when dealing with
> > "multipart" MIME messages (i.e. documents which have been split
> > up into multiple messages), so check your local documentation on
> > how to manipulate these messages.
> >
> >
> > Below is the data which will enable a MIME compliant mail reader
> > implementation to automatically retrieve the ASCII version of the
> > Internet-Draft.
> >
> 
> 
> --------------------------------------------------------------
> ------------------
> 
> 
> > _______________________________________________
> > Geopriv mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/geopriv
> > 
> 
> 
> _______________________________________________
> Geopriv mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/geopriv
> 

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv

---

From: John Schnizlein <[email-masked]>
Date: Wed, 13 Jul 2005 07:31:04 -0400

In RFC 3825 "Latitude and Longitude are represented in fixed-point 
2s-complement binary degrees".  Because 2s-complement binary covers 
positive and negative numbers, the normal conventions for positive 
latitude North of the equator (negative South) and positive longitudes 
East of the Meridian (negative West) apply.

It is not a bug.  Reusing already defined formats is the normal 
tradition in the IETF. Not repeating the details avoids maintenance 
problems and produces efficient documents.

John

On Jul 13, 2005, at 5:16 AM, Tschofenig, Hannes wrote:

>> location objects in RADIUS. I might suggest a slight modification to 
>> how Lat/Long
>> are expressed in the payload (section 10.3). In the current version 
>> of the
>> document, there is no indication of the Lat/Lon format nor is there 
>> any
>> indication of how one handles north/south of the equator and 
>> east/west of the meridian.
>>

---

From: "Carl Reed OGC" <[email-masked]>
Date: Thu, 14 Jul 2005 13:51:39 -0600

Hannes -

Let me double check.

Regards

Carl

----- Original Message ----- 
From: "Tschofenig, Hannes" <[email-masked]>
To: "Carl Reed OGC" <[email-masked]>; <[email-masked]>
Cc: "James M. Polk" <[email-masked]>; "Marc Linsner" 
<[email-masked]>
Sent: Wednesday, July 13, 2005 3:16 AM
Subject: AW: [Geopriv] I-D ACTION:draft-ietf-geopriv-radius-lo-03.txt